web analytics

ruby

Installing multiple versions of Ruby and Switching using RVM

Tags: gpgRoRrubyRVM

Published on : April 12, 2016 by

Installing multiple versions of Ruby and Switching using RVM

Last day I was trying to perform  Ruby installation  on my distro. Problem was that I already have latest version Ruby installation and wish to keep it and at the same time install an older version. After doing some research on this I came across RVM. Now RVM is an incredible work which saved my […]

Continue Reading...


Ruby – bundle install fails

Tags: bundle installgemruby

Published on : September 30, 2014 by

Ruby – bundle install fails

While running bundle install, the ruby fails. # bundle install Fetching gem metadata from http://rubygems.org/.Unfortunately, a fatal error has occurred. Please see the Bundler troubleshooting documentation at http://bit.ly/bundler-issues. Thanks! /usr/local/rvm/gems/ruby-1.9.3-p194/gems/bundler-1.1.5/lib/bundler/fetcher.rb:174:in `load’: marshal data too short (ArgumentError) from /usr/local/rvm/gems/ruby-1.9.3-p194/gems/bundler-1.1.5/lib/bundler/fetcher.rb:174:in `fetch_dependency_remote_specs’ from /usr/local/rvm/gems/ruby-1.9.3-p194/gems/bundler-1.1.5/lib/bundler/fetcher.rb:132:in `fetch_remote_specs’ from /usr/local/rvm/gems/ruby-1.9.3-p194/gems/bundler-1.1.5/lib/bundler/fetcher.rb:70:in `specs’ from /usr/local/rvm/gems/ruby-1.9.3-p194/gems/bundler-1.1.5/lib/bundler/source.rb:234:in `block in remote_specs’ from /usr/local/rvm/gems/ruby-1.9.3-p194/gems/bundler-1.1.5/lib/bundler/source.rb:232:in `each’ from /usr/local/rvm/gems/ruby-1.9.3-p194/gems/bundler-1.1.5/lib/bundler/source.rb:232:in […]

Continue Reading...


Ruby Gems not getting updated

Tags: cPanelgiving response code 302ruby

Published on : October 22, 2010 by

Ruby Gems not getting updated

On a cPanel server, I ran the script /scripts/installruby for rubygems update which updated the ruby version from 1.8.6 to 1.8.7 But when updating the gems and the gem itself, we were getting error as below, gem update –system Updating RubyGems… ERROR: While executing gem … (Gem::RemoteSourceException) HTTP Response 302 fetching http://gems.rubyforge.org/yaml Solution was to […]

Continue Reading...


Let's Connect

Get new updates

Categories

$0.000 items